Package org.apache.lucene.replicator

## Class RevisionFile

- java.lang.Object
- - org.apache.lucene.replicator.RevisionFile

-     @Deprecated
      public class RevisionFile
      extends Object

  Deprecated.
  use org.apache.lucene.replicator.nrt instead
  Describes a file in a `Revision`. A file has a source, which allows a single revision to contain files from multiple sources (e.g. multiple indexes).
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `fileName` | Deprecated. The name of the file.
    `long` | `size` | Deprecated. The size of the file denoted by `fileName`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RevisionFile​(String fileName)` | Deprecated. Constructor with the given file name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` | Deprecated.
    `int` | `hashCode()` | Deprecated.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fileName

          public final String fileName

      Deprecated.
      The name of the file.

    - #### size

          public long size

      Deprecated.
      The size of the file denoted by `fileName`.

  - ### Constructor Detail

    - #### RevisionFile

          public RevisionFile​(String fileName)

      Deprecated.
      Constructor with the given file name.

  - ### Method Detail

    - #### equals

          public boolean equals​(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`